#!/bin/sh

# Ensure volume is mounted
mkdir -p /data

# Run migrations
python manage.py migrate

# Enable WAL mode for better durability
sqlite3 /data/db.sqlite3 'PRAGMA journal_mode=WAL;'
sqlite3 /data/db.sqlite3 'PRAGMA synchronous=1;'

# Start Gunicorn server
gunicorn --bind :8000 --workers 2 main.wsgi
