import warnings
from django.apps import AppConfig
import os
from django.contrib.auth import get_user_model  # Import inside the function


class UserProfileConfig(AppConfig):
    default_auto_field = 'django.db.models.BigAutoField'
    name = 'user_profile'

    def ready(self):
        warnings.simplefilter("ignore", RuntimeWarning)
        if os.environ.get('RUN_MAIN') == 'true':  # Prevent double execution during development server restart
            User = get_user_model()

            username = "admin"
            email = "admin@example.com"
            password = "admin123"

            if not User.objects.filter(username=username).exists():
                User.objects.create_superuser(username, email, password)
                print("[[Dummy admin created: Username: admin | Password: admin123]]")
            else:
                print("[[Admin already exists]]")
                
                
            # Seed product model
            from order.models import Product
            from faker import Faker
            from random import randint
            
            fake = Faker()
            
            
            products = Product.objects.all()
            if products.exists():
                print("[[Dummy products already exist]]")
                return
            
            for _ in range(10):
                Product.objects.create(
                    name=fake.name(),
                    description=fake.text(),
                    price=randint(1000, 10000),
                    stock=randint(1, 100)
                )
                
            print("[[Dummy products created]]")