from django import forms
from .models import UserProfile
from django.contrib.auth.models import User

class UserForm(forms.ModelForm):
    password = forms.CharField(widget=forms.PasswordInput)  # Hide password input

    class Meta:
        model = User
        fields = ['username', 'email', 'password']
        
class UserProfileForm(forms.ModelForm):
    class Meta:
        model = UserProfile
        fields = [
            "fullname",
            "tanggal_lahir",
            "nomor_hp",
            "url_blog",
            "deskripsi",
            "id_penjual",
            "kategori_produk",
        ]
        
        labels = {
            "fullname": "Full Name",
            "tanggal_lahir": "Date of Birth",
            "nomor_hp": "Phone Number",
            "url_blog": "Blog URL",
            "deskripsi": "Description",
            "id_penjual": "Seller ID",
            "kategori_produk": "Product Category",
        }
        
    tanggal_lahir = forms.DateField(widget=forms.DateInput(attrs={'type': 'date'}))
    
class LoginForm(forms.Form):
    username = forms.CharField()
    password = forms.CharField(widget=forms.PasswordInput)