# Generated by Django 5.1.7 on 2025-03-25 12:23

import django.core.validators
import user_profile.models
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fullname', models.CharField(max_length=255, validators=[django.core.validators.RegexValidator(message='Nama hanya boleh berisi huruf, angka, dan karakter (., _, -).', regex='^[a-zA-Z0-9._-]+$')])),
                ('password', models.CharField(max_length=255, validators=[django.core.validators.MinLengthValidator(8), django.core.validators.RegexValidator(message='Password harus berisi huruf, angka, dan karakter spesial dengan panjang minimal 8.', regex='^(?=.*[A-Za-z])(?=.*\\d)(?=.*[@$!%*#?&])[A-Za-z\\d@$!%*#?&]{8,}$')])),
                ('tanggal_lahir', models.DateField(validators=[django.core.validators.RegexValidator(message='Tanggal lahir harus dalam format YYYY-MM-DD.', regex='^\\d{4}-\\d{2}-\\d{2}$'), user_profile.models.UserProfile.clean_tanggal_lahir])),
                ('nomor_hp', models.CharField(max_length=15, validators=[user_profile.models.UserProfile.validate_and_sanitize_phone])),
                ('url_blog', models.CharField(max_length=255, validators=[django.core.validators.URLValidator(message='URL Blog harus sesuai dengan format URL.')])),
                ('deskripsi', models.TextField(validators=[django.core.validators.MinLengthValidator(5), django.core.validators.MaxLengthValidator(1000)])),
                ('id_penjual', models.CharField(max_length=10, validators=[django.core.validators.RegexValidator(message='ID Penjual harus diawali dengan "S-" diikuti oleh 8 angka.', regex='^S-\\d{8}$')])),
                ('kategori_produk', models.CharField(choices=[('Elektronik', 'Elektronik'), ('Fashion', 'Fashion'), ('Furnitur', 'Furnitur'), ('Obat', 'Obat'), ('Kecantikan', 'Kecantikan')], max_length=50)),
                ('groups', models.ManyToManyField(blank=True, related_name='extendeduser_groups', to='auth.group')),
                ('user_permissions', models.ManyToManyField(blank=True, related_name='extendeduser_permissions', to='auth.permission')),
            ],
        ),
    ]
